#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    helsinkiPic.loadImage("Helsinki.gif");
    helsinkiPic.setImageType(OF_IMAGE_GRAYSCALE);
    zoom = 8;
    
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
    ofSetColor(255);
    helsinkiPic.draw(0,0);
    unsigned char *pixels = helsinkiPic.getPixels();
    int selectionW = 50;
    int selectionH = 50;
    if(mouseX<helsinkiPic.width-selectionW && mouseY<helsinkiPic.height-selectionH){
        for(int x = mouseX; x < mouseX+selectionW; x++){
            for(int y = mouseY; y < mouseY+selectionH; y++){
                unsigned char currentPixel= pixels[x+y*helsinkiPic.width];
                float pixelRate = 1-(currentPixel/255.0f);
                ofFill();
                ofSetColor(255, 0, 0);
                ofCircle((x-mouseX)*zoom+helsinkiPic.width+20, (y-mouseY)*zoom, pixelRate*zoom);
            }
        }
    }
    ofNoFill();
    ofRect(mouseX,mouseY,selectionW,selectionH);
    ofDrawBitmapString("Press up or down keys to change zoom", 20,ofGetHeight()-20);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
    if(key==OF_KEY_UP){
        zoom++;
    }
    if(key==OF_KEY_DOWN){
        if(zoom>2){
            zoom--;
        }
    }


}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}